Debian Bug report logs - #701101
ITP: postgresql-hll -- HyperLogLog extension for PostgreSQL

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cyril Bouthors <cyb@debian.org>

Date: Thu, 21 Feb 2013 15:15:01 UTC

Owned by: Cyril Bouthors <cyb@debian.org>

Severity: wishlist

Fixed in version postgresql-hll/2.7-1

Done: Cyril Bouthors <cyril@bouthors.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cyb@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#701101; Package wnpp. (Thu, 21 Feb 2013 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyb@debian.org>:
New Bug report received and forwarded. Copy sent to cyb@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 21 Feb 2013 15:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Jonathan Vercoutre <jonathan.vercoutre@isvtec.com>
Subject: ITP: postgresql-hll -- HyperLogLog extension for PostgreSQL
Date: Thu, 21 Feb 2013 16:11:14 +0100
Package: wnpp
Owner: Cyril Bouthors <cyb@debian.org>
Severity: wishlist

* Package name    : postgresql-hll
  Version         : 2.7
  Upstream Author : Timon Karnezos <timon.karnezos@gmail.com>
* URL or Web page : https://github.com/aggregateknowledge/postgresql-hll
* License         : Apache License 2.0
  Description     : HyperLogLog extension for PostgreSQL

This Postgres module introduces a new data type `hll` which is a HyperLogLog
data structure. HyperLogLog is a **fixed-size**, set-like structure used for
distinct value counting with tunable precision. For example, in 1280 bytes `hll`
can estimate the count of tens of billions of distinct values with only a few
percent error.

In addition to the algorithm proposed in the original paper, this implementation
is augmented to improve its accuracy and memory use without sacrificing much
speed. See below for more details.
-- 
 ,''`.
: :' :      Cyril Bouthors
`. `'         Debian.org
  `-



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 21 Feb 2013 19:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#701101; Package wnpp. (Fri, 22 Feb 2013 10:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 701101@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Cyril Bouthors <cyb@debian.org>, 701101@bugs.debian.org
Cc: Jonathan Vercoutre <jonathan.vercoutre@isvtec.com>
Subject: Re: Bug#701101: ITP: postgresql-hll -- HyperLogLog extension for PostgreSQL
Date: Fri, 22 Feb 2013 11:39:05 +0100
[Message part 1 (text/plain, inline)]
Re: Cyril Bouthors 2013-02-21 <87sj4pg0rx.fsf@lenovo.isvtec.com>
> This Postgres module introduces a new data type `hll` which is a HyperLogLog

Nice. Extra kudos if you are using pg_buildext so it works with any
supported server version :)

Let me know if you want any assistance with that, or need access to
the pkg-postgresql group on alioth.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#701101; Package wnpp. (Fri, 22 Feb 2013 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Fri, 22 Feb 2013 11:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 701101@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Christoph Berg <myon@debian.org>
Cc: 701101@bugs.debian.org, Jonathan Vercoutre <jonathan.vercoutre@isvtec.com>, Dimitri Fontaine <dimitri@2ndquadrant.fr>
Subject: Re: Bug#701101: ITP: postgresql-hll -- HyperLogLog extension for PostgreSQL
Date: Fri, 22 Feb 2013 12:09:18 +0100
By the way, I'm not sure it was clear enough but the package has been uploaded
yesterday:

https://paste.isvtec.com/?07d6e553a219aef4#QF8YfBxbjiAU0zf8THAA/2AXrl4n9R1j+OPpZVuyK5o=
-- 
Cyril Bouthors - Administration Système, Infogérance
ISVTEC SARL, 14 avenue de l'Opéra, 75001 Paris
1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Fax : 01 77 72 57 24
Ligne directe : 0x7B9EE3B0E



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Cyril Bouthors <cyb@debian.org>:
Bug#701101; Package wnpp. (Fri, 22 Feb 2013 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyril.bouthors@isvtec.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Cyril Bouthors <cyb@debian.org>. (Fri, 22 Feb 2013 11:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 701101@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril.bouthors@isvtec.com>
To: Christoph Berg <myon@debian.org>
Cc: 701101@bugs.debian.org, Jonathan Vercoutre <jonathan.vercoutre@isvtec.com>, Dimitri Fontaine <dimitri@2ndquadrant.fr>
Subject: Re: Bug#701101: ITP: postgresql-hll -- HyperLogLog extension for PostgreSQL
Date: Fri, 22 Feb 2013 11:52:03 +0100
On 22 Feb 2013, myon@debian.org wrote:

> Nice. Extra kudos if you are using pg_buildext so it works with any
> supported server version :)
>
> Let me know if you want any assistance with that, or need access to
> the pkg-postgresql group on alioth.

Christoph,

I was working with Dimitri Fontaine yesterday, the author of pg_buildext but we
were not able to build postgresql-hll with pg_buildext.

My tests are left as comments in the debian/rules file if you want to have a
look:
https://paste.isvtec.com/?c874dde029c3127f#w8dXVvYa35ceZVtU72i8ItQfqNnK+ixEIG/js0WY0Pk=

I took examples from postgresql-plsh.

If you are able to build the package with pg_buildext, please do not hesitate to
send a patch, I'd be happy to see it working with all supported PostgreSQL
versions.

Regards,
-- 
Cyril Bouthors - Administration Système, Infogérance
ISVTEC SARL, 14 avenue de l'Opéra, 75001 Paris
1 rue Émile Zola, 69002 Lyon
Tél : 01 84 16 16 17 - Fax : 01 77 72 57 24
Ligne directe : 0x7B9EE3B0E



Reply sent to Cyril Bouthors <cyril@bouthors.org>:
You have taken responsibility. (Fri, 12 Apr 2013 10:03:16 GMT) Full text and rfc822 format available.

Notification sent to Cyril Bouthors <cyb@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 10:03:16 GMT) Full text and rfc822 format available.

Message #25 received at 701101-close@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril@bouthors.org>
To: 701101-close@bugs.debian.org
Subject: Bug#701101: fixed in postgresql-hll 2.7-1
Date: Fri, 12 Apr 2013 10:00:05 +0000
Source: postgresql-hll
Source-Version: 2.7-1

We believe that the bug you reported is fixed in the latest version of
postgresql-hll, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Bouthors <cyril@bouthors.org> (supplier of updated postgresql-hll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 Feb 2013 16:15:00 +0100
Source: postgresql-hll
Binary: postgresql-hll
Architecture: source amd64
Version: 2.7-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyb@debian.org>
Changed-By: Cyril Bouthors <cyril@bouthors.org>
Description: 
 postgresql-hll - HyperLogLog extension for PostgreSQL
Closes: 701101
Changes: 
 postgresql-hll (2.7-1) unstable; urgency=low
 .
   * Initial release (Closes: #701101).
Checksums-Sha1: 
 497ac20d2c806637a854d8b48d9100b375bce8cc 1171 postgresql-hll_2.7-1.dsc
 fd941b0318b068d8fd219d5eab7852be9def4ded 2753545 postgresql-hll_2.7.orig.tar.gz
 4640d1e47c410e4247a8a4904beb8c16bf70c1db 1752 postgresql-hll_2.7-1.diff.gz
 efe4849b7e532ae27ca1dbd42eaac150fb7aea9c 33920 postgresql-hll_2.7-1_amd64.deb
Checksums-Sha256: 
 88157c692edabfc3b87a0ae5d51839eb4a8c7252fcea8b284dbad7caab697ccb 1171 postgresql-hll_2.7-1.dsc
 0a63e5221bdfbee89ae93c6264e34ff79e3f09ae4980955edc9cd613c939dc07 2753545 postgresql-hll_2.7.orig.tar.gz
 3c974b3aa326f537ce176dd4e24206a68637bf4419432bc31b81aa7bc1b864ec 1752 postgresql-hll_2.7-1.diff.gz
 226cd012809070e9c364953ab7707a4f801d537413586b917afabf424c47b217 33920 postgresql-hll_2.7-1_amd64.deb
Files: 
 b60a9d138b3ef6d5f5dccfbcd461bbba 1171 database optional postgresql-hll_2.7-1.dsc
 2b72af3faf1df118cc4d1794143811ee 2753545 database optional postgresql-hll_2.7.orig.tar.gz
 cd8d3f80583e3a94682f9aac3e139e3c 1752 database optional postgresql-hll_2.7-1.diff.gz
 bbe5a2a8ee3ae98ba9196c070c6da0ee 33920 database optional postgresql-hll_2.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRJlVmZ1SJHeqsYt8RAqKWAJ4tQO34DXul29OEkXNjYOXS2/S5MACgpwrI
AnTxVfhXx1OhpqAI+80j0WU=
=L0fK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:11:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.